//
// 
//

#ifndef META_AVAILABLEWINDOWSET_H
#define META_AVAILABLEWINDOWSET_H

#include "list"
#include "Window.h"

typedef std::list<Window> WindowSet;

class AvailableWindowSet {
public:
    AvailableWindowSet();
    WindowSet& getWindowSet();
    WindowSet getAugmentedWindowSet(WindowSet& addition);
    void addToWindowSet(WindowSet& addition);
    void removeWindowsOfPattern(int id);
    void changePatterns(Pattern* from, Pattern* to);
    void print();
private:
    void extendWindowSet(WindowSet& windowSet, WindowSet addition);
    WindowSet windowSet;
};


#endif //META_AVAILABLEWINDOWSET_H
